#ifndef BOOLEAN_H
#define BOOLEAN_H

#ifndef _WIN32
#define __int64 long long
#endif

#ifndef FALSE
#define FALSE 0
#endif

#ifndef TRUE
#define TRUE 1
#endif

typedef char BoolChar;        // bc
typedef short BoolShort;      // bw
typedef long BoolLong;        // bdw
typedef __int64 BoolLongLong; // bqw

typedef int Boolean;          // b

inline Boolean Eqv(Boolean bArg1, Boolean bArg2) {
  return bArg1 ? bArg2 : !bArg2;
}

inline Boolean Xor(Boolean bArg1, Boolean bArg2) {
  return bArg1 ? !bArg2 : bArg2;
}

#endif
